semanage-port(8)

NAME
semanage-port - SELinux Policy Management port mapping tool

SYNOPSIS
semanage port [-h] [-n] [-N] [-S STORE] [ --add -t TYPE -p PROTOCOL -r RANGE port_name | port_range | --delete -p PROTOCOL port_name | port_range | --deleteall | --extract | --list [-C] | --modify -t TYPE -p PROTOCOL -r RANGE port_name | port_range ]

DESCRIPTION
semanage is used to configure certain elements of SELinux policy without requiring modification to or recompilation from policy sources. semanage port controls the port number to port type definitions.

Default port definitions are contained in policy modules and can't be removed without removing corresponding module. Therefore semanage port uses so called local definitions, which are assigned higher priority and override default definitions for the same port.

semanage port -l lists all port definitions (both default and local) which can result in seemingly conflicting or duplicate entries. Use semanage port -l -C to only list local definitions.

OPTIONS

-h, --help
    show this help message and exit

-n, --noheading
    Do not print heading when listing the specified object type

-N, --noreload
    Do not reload policy after commit

-S STORE, --store STORE
    Select an alternate SELinux Policy Store to manage

-C, --locallist
    List local customizations

-a, --add
    Add a record of the specified object type

-d, --delete
    Delete a record of the specified object type

-m, --modify
    Modify a record of the specified object type

-l, --list
    List records of the specified object type

-E, --extract
    Extract customizable commands, for use within a transaction

-D, --deleteall
    Remove all local customizations

-t TYPE, --type TYPE
    SELinux type for the object

-r RANGE, --range RANGE
    MLS/MCS Security Range (MLS/MCS Systems only) SELinux Range for SELinux login mapping defaults to the SELinux user record range. SELinux Range for SELinux user defaults to s0.

-p PROTO, --proto PROTO
    Protocol for the specified port (tcp|udp) or internet protocol version for the specified node (ipv4|ipv6).

EXAMPLE
List all port definitions
# semanage port -l
Allow Apache to listen on tcp port 81
# semanage port -a -t http_port_t -p tcp 81
Allow sshd to listen on tcp port 8991
# semanage port -a -t ssh_port_t -p tcp 8991

SEE ALSO
selinux (8), semanage (8)

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>